=== debian/changelog ===
libavio-dmo (3.2.6-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 07:35:45 +0200

libavio-dmo (3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 09:04:14 +0200

libavio-dmo (3.2.5-dmo2) unstable; urgency=medium

  * Should Build-Depends on python3-setuptools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Mar 2025 16:10:02 +0100

libavio-dmo (3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 13:21:10 +0100

libavio-dmo (3.2.4-dmo2) unstable; urgency=medium

  * Build with ffmpeg 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 08:47:20 +0100

libavio-dmo (3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 17:55:53 +0100

libavio-dmo (3.2.3-dmo2) unstable; urgency=medium

  * Restore deleted __init__.py
  * Build with ffmpeg 6.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2024 00:36:28 +0100

libavio-dmo (3.2.3-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Nov 2024 14:15:39 +0100
