=== debian/control ===
Source: libavio-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sr99622/libavio
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev, quilt,
 cmake, libavcodec-dev, libavformat-dev, libsdl2-dev, libavfilter-dev, pybind11-dev,
 pybuild-plugin-pyproject, python3-setuptools,

Package: python3-avio
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
Description: Python3 library for processing media streams
 Python3 library for processing media streams designed for use in Onvif GUI.
