=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libavio

%:
	dh $@ -Spybuild --with quilt
